[package]
name = "web-rpg-client"
version = "0.1.0"
authors = ["Adrian Woźniak <adrian.wozniak.1986@gmail.com>"]
edition = "2018"
workspace = ".."

[build]
target = "wasm32-unknown-unknown"

[lib]
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[features]
default = ["console_error_panic_hook"]

[dependencies]
serde = "*"
serde_derive = "*"
serde_json = "*"
bincode = "*"
futures = "*"
[target.'cfg(target_arch = "wasm32")'.dependencies]
wasm-bindgen = "0.2"
chrono = { version = "*", features = ["serde"] }
uuid = { version = "0.6.5", features = ["serde", "v4"] }
bytes = "*"
console_error_panic_hook = { version = "0.1.1", optional = true }
wee_alloc = { version = "0.4.2", optional = true }
web-rpg-shared = { path = "../web-rpg-shared/" }

[dependencies.wasm-bindgen]
version = "0.2"
features = [
    "serde-serialize",
    "std",
    "spans",
    "nightly"
]

[dependencies.js-sys]
version = "0.3.22"

[dependencies.web-sys]
version = "0.3.22"
features = [
#    "AbortController",
#    "AbortSignal",
#    "AddEventListenerOptions",
#    "AesCbcParams",
#    "AesCtrParams",
#    "AesDerivedKeyParams",
#    "AesGcmParams",
#    "AesKeyAlgorithm",
#    "AesKeyGenParams",
#    "Algorithm",
#    "AlignSetting",
#    "AnalyserNode",
#    "AnalyserOptions",
#    "AngleInstancedArrays",
#    "Animation",
#    "AnimationEffect",
#    "AnimationEvent",
#    "AnimationEventInit",
#    "AnimationPlayState",
#    "AnimationPlaybackEvent",
#    "AnimationPlaybackEventInit",
#    "AnimationPropertyDetails",
#    "AnimationPropertyValueDetails",
#    "AnimationTimeline",
#    "AssignedNodesOptions",
#    "AttestationConveyancePreference",
#    "Attr",
#    "AttributeNameValue",
#    "AudioBuffer",
#    "AudioBufferOptions",
#    "AudioBufferSourceNode",
#    "AudioBufferSourceOptions",
#    "AudioConfiguration",
#    "AudioContext",
#    "AudioContextOptions",
#    "AudioContextState",
#    "AudioDestinationNode",
#    "AudioListener",
#    "AudioNode",
#    "AudioNodeOptions",
#    "AudioParam",
#    "AudioParamMap",
#    "AudioProcessingEvent",
#    "AudioScheduledSourceNode",
#    "AudioStreamTrack",
#    "AudioTrack",
#    "AudioTrackList",
#    "AudioWorklet",
#    "AudioWorkletGlobalScope",
#    "AudioWorkletNode",
#    "AudioWorkletNodeOptions",
#    "AudioWorkletProcessor",
#    "AuthenticationExtensionsClientInputs",
#    "AuthenticationExtensionsClientOutputs",
#    "AuthenticatorAssertionResponse",
#    "AuthenticatorAttachment",
#    "AuthenticatorAttestationResponse",
#    "AuthenticatorResponse",
#    "AuthenticatorSelectionCriteria",
#    "AuthenticatorTransport",
#    "AutoKeyword",
#    "AutocompleteInfo",
#    "BarProp",
#    "BaseAudioContext",
#    "BaseComputedKeyframe",
#    "BaseKeyframe",
#    "BasePropertyIndexedKeyframe",
#    "BasicCardRequest",
#    "BasicCardResponse",
#    "BasicCardType",
#    "BatteryManager",
#    "BeforeUnloadEvent",
    "BinaryType",
#    "BiquadFilterNode",
#    "BiquadFilterOptions",
#    "BiquadFilterType",
    "Blob",
    "BlobEvent",
    "BlobEventInit",
#    "BlobPropertyBag",
#    "BlockParsingOptions",
#    "BoxQuadOptions",
#    "BroadcastChannel",
#    "BrowserElementDownloadOptions",
#    "BrowserElementExecuteScriptOptions",
#    "BrowserFeedWriter",
#    "BrowserFindCaseSensitivity",
#    "BrowserFindDirection",
#    "Cache",
#    "CacheBatchOperation",
#    "CacheQueryOptions",
#    "CacheStorage",
#    "CacheStorageNamespace",
#    "CanvasCaptureMediaStream",
#    "CanvasGradient",
#    "CanvasPattern",
#    "CanvasRenderingContext2d",
#    "CanvasWindingRule",
#    "CaretChangedReason",
#    "CaretPosition",
#    "CaretStateChangedEventInit",
#    "CdataSection",
#    "ChannelCountMode",
#    "ChannelInterpretation",
#    "ChannelMergerNode",
#    "ChannelMergerOptions",
#    "ChannelPixelLayout",
#    "ChannelPixelLayoutDataType",
#    "ChannelSplitterNode",
#    "ChannelSplitterOptions",
#    "CharacterData",
#    "CheckerboardReason",
#    "CheckerboardReport",
#    "CheckerboardReportService",
#    "ChromeFilePropertyBag",
#    "ChromeWorker",
#    "Client",
#    "ClientQueryOptions",
#    "ClientRectsAndTexts",
#    "ClientType",
#    "Clients",
#    "ClipboardEvent",
#    "ClipboardEventInit",
#    "CloseEvent",
#    "CloseEventInit",
#    "CollectedClientData",
#    "Comment",
#    "CompositeOperation",
#    "CompositionEvent",
#    "CompositionEventInit",
#    "ComputedEffectTiming",
#    "ConnStatusDict",
#    "ConnectionType",
#    "ConsoleCounter",
#    "ConsoleCounterError",
    "ConsoleEvent",
    "ConsoleInstance",
    "ConsoleInstanceOptions",
    "ConsoleLevel",
    "ConsoleLogLevel",
#    "ConsoleProfileEvent",
#    "ConsoleStackEntry",
#    "ConsoleTimerError",
#    "ConsoleTimerLogOrEnd",
#    "ConsoleTimerStart",
#    "ConstantSourceNode",
#    "ConstantSourceOptions",
#    "ConstrainBooleanParameters",
#    "ConstrainDomStringParameters",
#    "ConstrainDoubleRange",
#    "ConstrainLongRange",
#    "ContextAttributes2d",
#    "ConvertCoordinateOptions",
#    "ConvolverNode",
#    "ConvolverOptions",
#    "Coordinates",
#    "Credential",
#    "CredentialCreationOptions",
#    "CredentialRequestOptions",
#    "CredentialsContainer",
#    "Crypto",
#    "CryptoKey",
#    "CryptoKeyPair",
#    "Csp",
#    "CspPolicies",
#    "CspReport",
#    "CspReportProperties",
#    "CssAnimation",
#    "CssBoxType",
#    "CssConditionRule",
#    "CssCounterStyleRule",
#    "CssFontFaceRule",
#    "CssFontFeatureValuesRule",
#    "CssGroupingRule",
#    "CssImportRule",
#    "CssKeyframeRule",
#    "CssKeyframesRule",
#    "CssMediaRule",
#    "CssNamespaceRule",
#    "CssPageRule",
#    "CssPseudoElement",
#    "CssRule",
#    "CssRuleList",
#    "CssStyleDeclaration",
#    "CssStyleRule",
#    "CssStyleSheet",
#    "CssStyleSheetParsingMode",
#    "CssSupportsRule",
#    "CssTransition",
#    "CustomElementRegistry",
#    "CustomEvent",
#    "CustomEventInit",
#    "DataTransfer",
#    "DataTransferItem",
#    "DataTransferItemList",
#    "DateTimeValue",
#    "DecoderDoctorNotification",
#    "DecoderDoctorNotificationType",
#    "DedicatedWorkerGlobalScope",
#    "DelayNode",
#    "DelayOptions",
#    "DeviceAcceleration",
#    "DeviceAccelerationInit",
#    "DeviceLightEvent",
#    "DeviceLightEventInit",
#    "DeviceMotionEvent",
#    "DeviceMotionEventInit",
#    "DeviceOrientationEvent",
#    "DeviceOrientationEventInit",
#    "DeviceProximityEvent",
#    "DeviceProximityEventInit",
#    "DeviceRotationRate",
#    "DeviceRotationRateInit",
#    "DhKeyDeriveParams",
#    "DirectionSetting",
#    "Directory",
#    "DisplayNameOptions",
#    "DisplayNameResult",
#    "DistanceModelType",
#    "DnsCacheDict",
#    "DnsCacheEntry",
#    "DnsLookupDict",
#    "Document",
#    "DocumentFragment",
#    "DocumentTimeline",
#    "DocumentTimelineOptions",
#    "DocumentType",
#    "DomError",
#    "DomException",
#    "DomImplementation",
#    "DomMatrix",
#    "DomMatrixReadOnly",
#    "DomParser",
#    "DomPoint",
#    "DomPointInit",
#    "DomPointReadOnly",
#    "DomQuad",
#    "DomQuadInit",
#    "DomQuadJson",
#    "DomRect",
#    "DomRectInit",
#    "DomRectList",
#    "DomRectReadOnly",
#    "DomRequest",
#    "DomRequestReadyState",
#    "DomStringList",
#    "DomStringMap",
#    "DomTokenList",
#    "DomWindowResizeEventDetail",
#    "DragEvent",
#    "DragEventInit",
#    "DynamicsCompressorNode",
#    "DynamicsCompressorOptions",
#    "EcKeyAlgorithm",
#    "EcKeyGenParams",
#    "EcKeyImportParams",
#    "EcdhKeyDeriveParams",
#    "EcdsaParams",
#    "EffectTiming",
#    "Element",
#    "ElementCreationOptions",
#    "ElementDefinitionOptions",
#    "EndingTypes",
    "ErrorCallback",
    "ErrorEvent",
    "ErrorEventInit",
#    "Event",
#    "EventInit",
#    "EventListener",
#    "EventListenerOptions",
#    "EventModifierInit",
#    "EventSource",
#    "EventSourceInit",
#    "EventTarget",
#    "Exception",
#    "ExtBlendMinmax",
#    "ExtColorBufferFloat",
#    "ExtColorBufferHalfFloat",
#    "ExtDisjointTimerQuery",
#    "ExtFragDepth",
#    "ExtSRgb",
#    "ExtShaderTextureLod",
#    "ExtTextureFilterAnisotropic",
#    "ExtendableEvent",
#    "ExtendableEventInit",
#    "ExtendableMessageEvent",
#    "ExtendableMessageEventInit",
#    "External",
#    "FakePluginMimeEntry",
#    "FakePluginTagInit",
#    "FetchEvent",
#    "FetchEventInit",
#    "FetchObserver",
#    "FetchReadableStreamReadDataArray",
#    "FetchReadableStreamReadDataDone",
#    "FetchState",
#    "File",
#    "FileCallback",
#    "FileList",
#    "FilePropertyBag",
#    "FileReader",
#    "FileReaderSync",
#    "FileSystem",
#    "FileSystemDirectoryEntry",
#    "FileSystemDirectoryReader",
#    "FileSystemEntriesCallback",
#    "FileSystemEntry",
#    "FileSystemEntryCallback",
#    "FileSystemFileEntry",
#    "FileSystemFlags",
#    "FillMode",
#    "FlashClassification",
#    "FlexLineGrowthState",
#    "FocusEvent",
#    "FocusEventInit",
#    "FontFace",
#    "FontFaceDescriptors",
#    "FontFaceLoadStatus",
#    "FontFaceSet",
#    "FontFaceSetIterator",
#    "FontFaceSetIteratorResult",
#    "FontFaceSetLoadEvent",
#    "FontFaceSetLoadEventInit",
#    "FontFaceSetLoadStatus",
#    "FormData",
#    "FrameType",
#    "FuzzingFunctions",
#    "GainNode",
#    "GainOptions",
#    "Gamepad",
#    "GamepadAxisMoveEvent",
#    "GamepadAxisMoveEventInit",
#    "GamepadButton",
#    "GamepadButtonEvent",
#    "GamepadButtonEventInit",
#    "GamepadEvent",
#    "GamepadEventInit",
#    "GamepadHand",
#    "GamepadHapticActuator",
#    "GamepadHapticActuatorType",
#    "GamepadMappingType",
#    "GamepadPose",
#    "GamepadServiceTest",
#    "Geolocation",
#    "GetNotificationOptions",
#    "GetRootNodeOptions",
#    "GetUserMediaRequest",
#    "GridDeclaration",
#    "GridTrackState",
#    "GroupedHistoryEventInit",
#    "HalfOpenInfoDict",
#    "HashChangeEvent",
#    "HashChangeEventInit",
#    "Headers",
#    "HeadersGuardEnum",
#    "HiddenPluginEventInit",
#    "History",
#    "HitRegionOptions",
#    "HkdfParams",
#    "HmacDerivedKeyParams",
#    "HmacImportParams",
#    "HmacKeyAlgorithm",
#    "HmacKeyGenParams",
#    "HtmlAllCollection",
#    "HtmlAnchorElement",
#    "HtmlAreaElement",
#    "HtmlAudioElement",
#    "HtmlBaseElement",
#    "HtmlBodyElement",
#    "HtmlBrElement",
#    "HtmlButtonElement",
#    "HtmlCanvasElement",
#    "HtmlCollection",
#    "HtmlDListElement",
#    "HtmlDataElement",
#    "HtmlDataListElement",
#    "HtmlDetailsElement",
#    "HtmlDialogElement",
#    "HtmlDirectoryElement",
#    "HtmlDivElement",
#    "HtmlDocument",
#    "HtmlElement",
#    "HtmlEmbedElement",
#    "HtmlFieldSetElement",
#    "HtmlFontElement",
#    "HtmlFormControlsCollection",
#    "HtmlFormElement",
#    "HtmlFrameElement",
#    "HtmlFrameSetElement",
#    "HtmlHeadElement",
#    "HtmlHeadingElement",
#    "HtmlHrElement",
#    "HtmlHtmlElement",
#    "HtmlHyperlinkElementUtils",
#    "HtmlIFrameElement",
#    "HtmlImageElement",
#    "HtmlInputElement",
#    "HtmlLabelElement",
#    "HtmlLegendElement",
#    "HtmlLiElement",
#    "HtmlLinkElement",
#    "HtmlMapElement",
#    "HtmlMediaElement",
#    "HtmlMenuElement",
#    "HtmlMenuItemElement",
#    "HtmlMetaElement",
#    "HtmlMeterElement",
#    "HtmlModElement",
#    "HtmlOListElement",
#    "HtmlObjectElement",
#    "HtmlOptGroupElement",
#    "HtmlOptionElement",
#    "HtmlOptionsCollection",
#    "HtmlOutputElement",
#    "HtmlParagraphElement",
#    "HtmlParamElement",
#    "HtmlPictureElement",
#    "HtmlPreElement",
#    "HtmlProgressElement",
#    "HtmlQuoteElement",
#    "HtmlScriptElement",
#    "HtmlSelectElement",
#    "HtmlSlotElement",
#    "HtmlSourceElement",
#    "HtmlSpanElement",
#    "HtmlStyleElement",
#    "HtmlTableCaptionElement",
#    "HtmlTableCellElement",
#    "HtmlTableColElement",
#    "HtmlTableElement",
#    "HtmlTableRowElement",
#    "HtmlTableSectionElement",
#    "HtmlTemplateElement",
#    "HtmlTextAreaElement",
#    "HtmlTimeElement",
#    "HtmlTitleElement",
#    "HtmlTrackElement",
#    "HtmlUListElement",
#    "HtmlUnknownElement",
#    "HtmlVideoElement",
#    "HttpConnDict",
#    "HttpConnInfo",
#    "HttpConnectionElement",
#    "IdbCursor",
#    "IdbCursorDirection",
#    "IdbCursorWithValue",
#    "IdbDatabase",
#    "IdbFactory",
#    "IdbFileHandle",
#    "IdbFileMetadataParameters",
#    "IdbFileRequest",
#    "IdbIndex",
#    "IdbIndexParameters",
#    "IdbKeyRange",
#    "IdbLocaleAwareKeyRange",
#    "IdbMutableFile",
#    "IdbObjectStore",
#    "IdbObjectStoreParameters",
#    "IdbOpenDbOptions",
#    "IdbOpenDbRequest",
#    "IdbRequest",
#    "IdbRequestReadyState",
#    "IdbTransaction",
#    "IdbTransactionMode",
#    "IdbVersionChangeEvent",
#    "IdbVersionChangeEventInit",
#    "IdleDeadline",
#    "IdleRequestOptions",
#    "IirFilterNode",
#    "IirFilterOptions",
#    "ImageBitmap",
#    "ImageBitmapFormat",
#    "ImageBitmapRenderingContext",
#    "ImageCapture",
#    "ImageCaptureError",
#    "ImageCaptureErrorEvent",
#    "ImageCaptureErrorEventInit",
#    "ImageData",
#    "InputEvent",
#    "InputEventInit",
#    "InstallTriggerData",
#    "IntersectionObserver",
#    "IntersectionObserverEntry",
#    "IntersectionObserverEntryInit",
#    "IntersectionObserverInit",
#    "IntlUtils",
#    "IterableKeyAndValueResult",
#    "IterableKeyOrValueResult",
#    "IterationCompositeOperation",
#    "JsonWebKey",
#    "KeyAlgorithm",
#    "KeyEvent",
#    "KeyIdsInitData",
#    "KeyboardEvent",
#    "KeyboardEventInit",
#    "KeyframeEffect",
#    "KeyframeEffectOptions",
#    "L10nElement",
#    "L10nValue",
#    "LifecycleCallbacks",
#    "LineAlignSetting",
#    "ListBoxObject",
#    "LocalMediaStream",
#    "LocaleInfo",
#    "Location",
#    "MediaCapabilities",
#    "MediaCapabilitiesInfo",
#    "MediaConfiguration",
#    "MediaDecodingConfiguration",
#    "MediaDecodingType",
#    "MediaDeviceInfo",
#    "MediaDeviceKind",
#    "MediaDevices",
#    "MediaElementAudioSourceNode",
#    "MediaElementAudioSourceOptions",
#    "MediaEncodingConfiguration",
#    "MediaEncodingType",
#    "MediaEncryptedEvent",
#    "MediaError",
#    "MediaKeyError",
#    "MediaKeyMessageEvent",
#    "MediaKeyMessageEventInit",
#    "MediaKeyMessageType",
#    "MediaKeyNeededEventInit",
#    "MediaKeySession",
#    "MediaKeySessionType",
#    "MediaKeyStatus",
#    "MediaKeyStatusMap",
#    "MediaKeySystemAccess",
#    "MediaKeySystemConfiguration",
#    "MediaKeySystemMediaCapability",
#    "MediaKeySystemStatus",
#    "MediaKeys",
#    "MediaKeysPolicy",
#    "MediaKeysRequirement",
#    "MediaList",
#    "MediaQueryList",
#    "MediaQueryListEvent",
#    "MediaQueryListEventInit",
#    "MediaRecorder",
#    "MediaRecorderErrorEvent",
#    "MediaRecorderErrorEventInit",
#    "MediaRecorderOptions",
#    "MediaSource",
#    "MediaSourceEndOfStreamError",
#    "MediaSourceEnum",
#    "MediaSourceReadyState",
#    "MediaStream",
#    "MediaStreamAudioDestinationNode",
#    "MediaStreamAudioSourceNode",
#    "MediaStreamAudioSourceOptions",
#    "MediaStreamConstraints",
#    "MediaStreamError",
#    "MediaStreamEvent",
#    "MediaStreamEventInit",
#    "MediaStreamTrack",
#    "MediaStreamTrackEvent",
#    "MediaStreamTrackEventInit",
#    "MediaStreamTrackState",
#    "MediaTrackConstraintSet",
#    "MediaTrackConstraints",
#    "MediaTrackSettings",
#    "MediaTrackSupportedConstraints",
#    "MessageChannel",
    "MessageEvent",
    "MessageEventInit",
#    "MessagePort",
#    "MidiAccess",
#    "MidiConnectionEvent",
#    "MidiConnectionEventInit",
#    "MidiInput",
#    "MidiInputMap",
#    "MidiMessageEvent",
#    "MidiMessageEventInit",
#    "MidiOptions",
#    "MidiOutput",
#    "MidiOutputMap",
#    "MidiPort",
#    "MidiPortConnectionState",
#    "MidiPortDeviceState",
#    "MidiPortType",
#    "MimeType",
#    "MimeTypeArray",
#    "MouseEvent",
#    "MouseEventInit",
#    "MouseScrollEvent",
#    "MozDebug",
#    "MutationEvent",
#    "MutationObserver",
#    "MutationObserverInit",
#    "MutationObservingInfo",
#    "MutationRecord",
#    "NamedNodeMap",
#    "NativeOsFileReadOptions",
#    "NativeOsFileWriteAtomicOptions",
#    "NavigationType",
#    "Navigator",
#    "NavigatorAutomationInformation",
#    "NetworkCommandOptions",
#    "NetworkInformation",
#    "NetworkResultOptions",
#    "Node",
#    "NodeFilter",
#    "NodeIterator",
#    "NodeList",
#    "Notification",
#    "NotificationBehavior",
#    "NotificationDirection",
#    "NotificationEvent",
#    "NotificationEventInit",
#    "NotificationOptions",
#    "NotificationPermission",
#    "ObserverCallback",
#    "OesElementIndexUint",
#    "OesStandardDerivatives",
#    "OesTextureFloat",
#    "OesTextureFloatLinear",
#    "OesTextureHalfFloat",
#    "OesTextureHalfFloatLinear",
#    "OesVertexArrayObject",
#    "OfflineAudioCompletionEvent",
#    "OfflineAudioCompletionEventInit",
#    "OfflineAudioContext",
#    "OfflineAudioContextOptions",
#    "OfflineResourceList",
#    "OffscreenCanvas",
#    "OpenWindowEventDetail",
#    "OptionalEffectTiming",
#    "OrientationLockType",
#    "OrientationType",
#    "OscillatorNode",
#    "OscillatorOptions",
#    "OscillatorType",
#    "OverSampleType",
#    "PageTransitionEvent",
#    "PageTransitionEventInit",
#    "PaintRequest",
#    "PaintRequestList",
#    "PaintWorkletGlobalScope",
#    "PannerNode",
#    "PannerOptions",
#    "PanningModelType",
#    "Path2d",
#    "PaymentAddress",
#    "PaymentComplete",
#    "PaymentMethodChangeEvent",
#    "PaymentMethodChangeEventInit",
#    "PaymentRequestUpdateEvent",
#    "PaymentRequestUpdateEventInit",
#    "PaymentResponse",
#    "Pbkdf2Params",
#    "PcImplIceConnectionState",
#    "PcImplIceGatheringState",
#    "PcImplSignalingState",
#    "PcObserverStateType",
#    "Performance",
#    "PerformanceEntry",
#    "PerformanceEntryEventInit",
#    "PerformanceEntryFilterOptions",
#    "PerformanceMark",
#    "PerformanceMeasure",
#    "PerformanceNavigation",
#    "PerformanceNavigationTiming",
#    "PerformanceObserver",
#    "PerformanceObserverEntryList",
#    "PerformanceObserverInit",
#    "PerformanceResourceTiming",
#    "PerformanceServerTiming",
#    "PerformanceTiming",
#    "PeriodicWave",
#    "PeriodicWaveConstraints",
#    "PeriodicWaveOptions",
#    "PermissionDescriptor",
#    "PermissionName",
#    "PermissionState",
#    "PermissionStatus",
#    "Permissions",
#    "PlaybackDirection",
#    "Plugin",
#    "PluginArray",
#    "PluginCrashedEventInit",
#    "PointerEvent",
#    "PointerEventInit",
#    "PopStateEvent",
#    "PopStateEventInit",
#    "PopupBlockedEvent",
#    "PopupBlockedEventInit",
#    "Position",
#    "PositionAlignSetting",
#    "PositionError",
#    "PositionOptions",
#    "Presentation",
#    "PresentationAvailability",
#    "PresentationConnection",
#    "PresentationConnectionAvailableEvent",
#    "PresentationConnectionAvailableEventInit",
#    "PresentationConnectionBinaryType",
#    "PresentationConnectionCloseEvent",
#    "PresentationConnectionCloseEventInit",
#    "PresentationConnectionClosedReason",
#    "PresentationConnectionList",
#    "PresentationConnectionState",
#    "PresentationReceiver",
#    "PresentationRequest",
#    "ProcessingInstruction",
#    "ProfileTimelineLayerRect",
#    "ProfileTimelineMarker",
#    "ProfileTimelineMessagePortOperationType",
#    "ProfileTimelineStackFrame",
#    "ProfileTimelineWorkerOperationType",
#    "ProgressEvent",
#    "ProgressEventInit",
#    "PromiseNativeHandler",
#    "PromiseRejectionEvent",
#    "PromiseRejectionEventInit",
#    "PublicKeyCredential",
#    "PublicKeyCredentialCreationOptions",
#    "PublicKeyCredentialDescriptor",
#    "PublicKeyCredentialEntity",
#    "PublicKeyCredentialParameters",
#    "PublicKeyCredentialRequestOptions",
#    "PublicKeyCredentialRpEntity",
#    "PublicKeyCredentialType",
#    "PublicKeyCredentialUserEntity",
#    "PushEncryptionKeyName",
#    "PushEvent",
#    "PushEventInit",
#    "PushManager",
#    "PushMessageData",
#    "PushPermissionState",
#    "PushSubscription",
#    "PushSubscriptionInit",
#    "PushSubscriptionJson",
#    "PushSubscriptionKeys",
#    "PushSubscriptionOptions",
#    "PushSubscriptionOptionsInit",
#    "RadioNodeList",
#    "Range",
#    "RcwnPerfStats",
#    "RcwnStatus",
#    "RecordingState",
#    "ReferrerPolicy",
#    "RegisterRequest",
#    "RegisterResponse",
#    "RegisteredKey",
#    "RegistrationOptions",
#    "Request",
#    "RequestCache",
#    "RequestCredentials",
#    "RequestDestination",
#    "RequestInit",
#    "RequestMediaKeySystemAccessNotification",
#    "RequestMode",
#    "RequestRedirect",
#    "Response",
#    "ResponseInit",
#    "ResponseType",
#    "RsaHashedImportParams",
#    "RsaOaepParams",
#    "RsaOtherPrimesInfo",
#    "RsaPssParams",
#    "RtcAnswerOptions",
#    "RtcBundlePolicy",
#    "RtcCertificate",
#    "RtcCertificateExpiration",
#    "RtcCodecStats",
#    "RtcConfiguration",
#    "RtcDataChannel",
#    "RtcDataChannelEvent",
#    "RtcDataChannelEventInit",
#    "RtcDataChannelInit",
#    "RtcDataChannelState",
#    "RtcDataChannelType",
#    "RtcDegradationPreference",
#    "RtcFecParameters",
#    "RtcIceCandidate",
#    "RtcIceCandidateInit",
#    "RtcIceCandidatePairStats",
#    "RtcIceCandidateStats",
#    "RtcIceComponentStats",
#    "RtcIceConnectionState",
#    "RtcIceCredentialType",
#    "RtcIceGatheringState",
#    "RtcIceServer",
#    "RtcIceTransportPolicy",
#    "RtcIdentityAssertion",
#    "RtcIdentityAssertionResult",
#    "RtcIdentityProvider",
#    "RtcIdentityProviderDetails",
#    "RtcIdentityProviderOptions",
#    "RtcIdentityProviderRegistrar",
#    "RtcIdentityValidationResult",
#    "RtcInboundRtpStreamStats",
#    "RtcLifecycleEvent",
#    "RtcMediaStreamStats",
#    "RtcMediaStreamTrackStats",
#    "RtcOfferAnswerOptions",
#    "RtcOfferOptions",
#    "RtcOutboundRtpStreamStats",
#    "RtcPeerConnection",
#    "RtcPeerConnectionIceEvent",
#    "RtcPeerConnectionIceEventInit",
#    "RtcPriorityType",
#    "RtcRtcpParameters",
#    "RtcRtpCodecParameters",
#    "RtcRtpContributingSource",
#    "RtcRtpEncodingParameters",
#    "RtcRtpHeaderExtensionParameters",
#    "RtcRtpParameters",
#    "RtcRtpReceiver",
#    "RtcRtpSender",
#    "RtcRtpSourceEntry",
#    "RtcRtpSourceEntryType",
#    "RtcRtpSynchronizationSource",
#    "RtcRtpTransceiver",
#    "RtcRtpTransceiverDirection",
#    "RtcRtpTransceiverInit",
#    "RtcRtxParameters",
#    "RtcSdpType",
#    "RtcSessionDescription",
#    "RtcSessionDescriptionInit",
#    "RtcSignalingState",
#    "RtcStats",
#    "RtcStatsIceCandidatePairState",
#    "RtcStatsIceCandidateType",
#    "RtcStatsReport",
#    "RtcStatsReportInternal",
#    "RtcStatsType",
#    "RtcTrackEvent",
#    "RtcTrackEventInit",
#    "RtcTransportStats",
#    "RtcdtmfSender",
#    "RtcdtmfToneChangeEvent",
#    "RtcdtmfToneChangeEventInit",
#    "RtcrtpContributingSourceStats",
#    "RtcrtpStreamStats",
#    "Screen",
#    "ScreenColorGamut",
#    "ScreenLuminance",
#    "ScreenOrientation",
#    "ScriptProcessorNode",
#    "ScrollAreaEvent",
#    "ScrollBehavior",
#    "ScrollBoxObject",
#    "ScrollIntoViewOptions",
#    "ScrollLogicalPosition",
#    "ScrollOptions",
#    "ScrollRestoration",
#    "ScrollSetting",
#    "ScrollState",
#    "ScrollToOptions",
#    "ScrollViewChangeEventInit",
#    "SecurityPolicyViolationEvent",
#    "SecurityPolicyViolationEventDisposition",
#    "SecurityPolicyViolationEventInit",
#    "Selection",
#    "ServerSocketOptions",
#    "ServiceWorker",
#    "ServiceWorkerContainer",
#    "ServiceWorkerGlobalScope",
#    "ServiceWorkerRegistration",
#    "ServiceWorkerState",
#    "ServiceWorkerUpdateViaCache",
#    "ShadowRoot",
#    "ShadowRootInit",
#    "ShadowRootMode",
#    "SharedWorker",
#    "SharedWorkerGlobalScope",
#    "SignResponse",
#    "SocketElement",
#    "SocketOptions",
#    "SocketReadyState",
#    "SocketsDict",
#    "SourceBuffer",
#    "SourceBufferAppendMode",
#    "SourceBufferList",
#    "SpeechGrammar",
#    "SpeechGrammarList",
#    "SpeechRecognition",
#    "SpeechRecognitionAlternative",
#    "SpeechRecognitionError",
#    "SpeechRecognitionErrorCode",
#    "SpeechRecognitionErrorInit",
#    "SpeechRecognitionEvent",
#    "SpeechRecognitionEventInit",
#    "SpeechRecognitionResult",
#    "SpeechRecognitionResultList",
#    "SpeechSynthesis",
#    "SpeechSynthesisErrorCode",
#    "SpeechSynthesisErrorEvent",
#    "SpeechSynthesisErrorEventInit",
#    "SpeechSynthesisEvent",
#    "SpeechSynthesisEventInit",
#    "SpeechSynthesisUtterance",
#    "SpeechSynthesisVoice",
#    "StereoPannerNode",
#    "StereoPannerOptions",
    "Storage",
    "StorageEstimate",
    "StorageEvent",
    "StorageEventInit",
    "StorageManager",
    "StorageType",
#    "StyleRuleChangeEventInit",
#    "StyleSheet",
#    "StyleSheetApplicableStateChangeEventInit",
#    "StyleSheetChangeEventInit",
#    "StyleSheetList",
#    "SubtleCrypto",
#    "SupportedType",
#    "SvgAngle",
#    "SvgAnimateElement",
#    "SvgAnimateMotionElement",
#    "SvgAnimateTransformElement",
#    "SvgAnimatedAngle",
#    "SvgAnimatedBoolean",
#    "SvgAnimatedEnumeration",
#    "SvgAnimatedInteger",
#    "SvgAnimatedLength",
#    "SvgAnimatedLengthList",
#    "SvgAnimatedNumber",
#    "SvgAnimatedNumberList",
#    "SvgAnimatedPreserveAspectRatio",
#    "SvgAnimatedRect",
#    "SvgAnimatedString",
#    "SvgAnimatedTransformList",
#    "SvgAnimationElement",
#    "SvgBoundingBoxOptions",
#    "SvgCircleElement",
#    "SvgClipPathElement",
#    "SvgComponentTransferFunctionElement",
#    "SvgDefsElement",
#    "SvgDescElement",
#    "SvgElement",
#    "SvgEllipseElement",
#    "SvgFilterElement",
#    "SvgForeignObjectElement",
#    "SvgGeometryElement",
#    "SvgGradientElement",
#    "SvgGraphicsElement",
#    "SvgImageElement",
#    "SvgLength",
#    "SvgLengthList",
#    "SvgLineElement",
#    "SvgLinearGradientElement",
#    "SvgMarkerElement",
#    "SvgMaskElement",
#    "SvgMatrix",
#    "SvgMetadataElement",
#    "SvgNumber",
#    "SvgNumberList",
#    "SvgPathElement",
#    "SvgPathSeg",
#    "SvgPathSegArcAbs",
#    "SvgPathSegArcRel",
#    "SvgPathSegClosePath",
#    "SvgPathSegCurvetoCubicAbs",
#    "SvgPathSegCurvetoCubicRel",
#    "SvgPathSegCurvetoCubicSmoothAbs",
#    "SvgPathSegCurvetoCubicSmoothRel",
#    "SvgPathSegCurvetoQuadraticAbs",
#    "SvgPathSegCurvetoQuadraticRel",
#    "SvgPathSegCurvetoQuadraticSmoothAbs",
#    "SvgPathSegCurvetoQuadraticSmoothRel",
#    "SvgPathSegLinetoAbs",
#    "SvgPathSegLinetoHorizontalAbs",
#    "SvgPathSegLinetoHorizontalRel",
#    "SvgPathSegLinetoRel",
#    "SvgPathSegLinetoVerticalAbs",
#    "SvgPathSegLinetoVerticalRel",
#    "SvgPathSegList",
#    "SvgPathSegMovetoAbs",
#    "SvgPathSegMovetoRel",
#    "SvgPatternElement",
#    "SvgPoint",
#    "SvgPointList",
#    "SvgPolygonElement",
#    "SvgPolylineElement",
#    "SvgPreserveAspectRatio",
#    "SvgRadialGradientElement",
#    "SvgRect",
#    "SvgRectElement",
#    "SvgScriptElement",
#    "SvgSetElement",
#    "SvgStopElement",
#    "SvgStringList",
#    "SvgStyleElement",
#    "SvgSwitchElement",
#    "SvgSymbolElement",
#    "SvgTextContentElement",
#    "SvgTextElement",
#    "SvgTextPathElement",
#    "SvgTextPositioningElement",
#    "SvgTitleElement",
#    "SvgTransform",
#    "SvgTransformList",
#    "SvgUnitTypes",
#    "SvgUseElement",
#    "SvgViewElement",
#    "SvgZoomAndPan",
#    "SvgaElement",
#    "SvgfeBlendElement",
#    "SvgfeColorMatrixElement",
#    "SvgfeComponentTransferElement",
#    "SvgfeCompositeElement",
#    "SvgfeConvolveMatrixElement",
#    "SvgfeDiffuseLightingElement",
#    "SvgfeDisplacementMapElement",
#    "SvgfeDistantLightElement",
#    "SvgfeDropShadowElement",
#    "SvgfeFloodElement",
#    "SvgfeFuncAElement",
#    "SvgfeFuncBElement",
#    "SvgfeFuncGElement",
#    "SvgfeFuncRElement",
#    "SvgfeGaussianBlurElement",
#    "SvgfeImageElement",
#    "SvgfeMergeElement",
#    "SvgfeMergeNodeElement",
#    "SvgfeMorphologyElement",
#    "SvgfeOffsetElement",
#    "SvgfePointLightElement",
#    "SvgfeSpecularLightingElement",
#    "SvgfeSpotLightElement",
#    "SvgfeTileElement",
#    "SvgfeTurbulenceElement",
#    "SvggElement",
#    "SvgmPathElement",
#    "SvgsvgElement",
#    "SvgtSpanElement",
#    "TcpReadyState",
#    "TcpServerSocket",
#    "TcpServerSocketEvent",
#    "TcpServerSocketEventInit",
#    "TcpSocket",
#    "TcpSocketBinaryType",
#    "TcpSocketErrorEvent",
#    "TcpSocketErrorEventInit",
#    "TcpSocketEvent",
#    "TcpSocketEventInit",
#    "Text",
#    "TextDecodeOptions",
#    "TextDecoder",
#    "TextDecoderOptions",
#    "TextEncoder",
#    "TextMetrics",
#    "TextTrack",
#    "TextTrackCue",
#    "TextTrackCueList",
#    "TextTrackKind",
#    "TextTrackList",
#    "TextTrackMode",
#    "TimeEvent",
#    "TimeRanges",
#    "Touch",
#    "TouchEvent",
#    "TouchEventInit",
#    "TouchInit",
#    "TouchList",
#    "TrackEvent",
#    "TrackEventInit",
#    "TransitionEvent",
#    "TransitionEventInit",
#    "Transport",
#    "TreeBoxObject",
#    "TreeCellInfo",
#    "TreeView",
#    "TreeWalker",
#    "U2f",
#    "U2fClientData",
#    "UdpMessageEventInit",
#    "UdpOptions",
#    "UiEvent",
#    "UiEventInit",
#    "Url",
#    "UrlSearchParams",
#    "UserProximityEvent",
#    "UserProximityEventInit",
#    "UserVerificationRequirement",
#    "ValidityState",
#    "VideoConfiguration",
#    "VideoFacingModeEnum",
#    "VideoPlaybackQuality",
#    "VideoStreamTrack",
#    "VideoTrack",
#    "VideoTrackList",
#    "VisibilityState",
#    "VoidCallback",
#    "VrDisplay",
#    "VrDisplayCapabilities",
#    "VrEye",
#    "VrEyeParameters",
#    "VrFieldOfView",
#    "VrFrameData",
#    "VrLayer",
#    "VrMockController",
#    "VrMockDisplay",
#    "VrPose",
#    "VrServiceTest",
#    "VrStageParameters",
#    "VrSubmitFrameResult",
#    "VttCue",
#    "VttRegion",
#    "WaveShaperNode",
#    "WaveShaperOptions",
#    "WebGl2RenderingContext",
#    "WebGlActiveInfo",
#    "WebGlBuffer",
#    "WebGlContextAttributes",
#    "WebGlContextEvent",
#    "WebGlContextEventInit",
#    "WebGlFramebuffer",
#    "WebGlPowerPreference",
#    "WebGlProgram",
#    "WebGlQuery",
#    "WebGlRenderbuffer",
#    "WebGlRenderingContext",
#    "WebGlSampler",
#    "WebGlShader",
#    "WebGlShaderPrecisionFormat",
#    "WebGlSync",
#    "WebGlTexture",
#    "WebGlTransformFeedback",
#    "WebGlUniformLocation",
#    "WebGlVertexArrayObject",
#    "WebGpu",
#    "WebGpuAdapter",
#    "WebGpuAdapterDescriptor",
#    "WebGpuAttachmentState",
#    "WebGpuAttachmentStateDescriptor",
#    "WebGpuBindGroup",
#    "WebGpuBindGroupBinding",
#    "WebGpuBindGroupDescriptor",
#    "WebGpuBindGroupLayout",
#    "WebGpuBindGroupLayoutDescriptor",
#    "WebGpuBinding",
#    "WebGpuBindingType",
#    "WebGpuBlendDescriptor",
#    "WebGpuBlendFactor",
#    "WebGpuBlendOperation",
#    "WebGpuBlendState",
#    "WebGpuBlendStateDescriptor",
#    "WebGpuBuffer",
#    "WebGpuBufferBinding",
#    "WebGpuBufferDescriptor",
#    "WebGpuBufferUsage",
#    "WebGpuColorWriteBits",
#    "WebGpuCommandBuffer",
#    "WebGpuCommandEncoder",
#    "WebGpuCommandEncoderDescriptor",
#    "WebGpuCompareFunction",
#    "WebGpuComputePipeline",
#    "WebGpuComputePipelineDescriptor",
#    "WebGpuDepthStencilState",
#    "WebGpuDepthStencilStateDescriptor",
#    "WebGpuDevice",
#    "WebGpuDeviceDescriptor",
#    "WebGpuExtensions",
#    "WebGpuFence",
#    "WebGpuFilterMode",
#    "WebGpuIndexFormat",
#    "WebGpuInputState",
#    "WebGpuInputStateDescriptor",
#    "WebGpuInputStepMode",
#    "WebGpuLimits",
#    "WebGpuLoadOp",
#    "WebGpuLogEntry",
#    "WebGpuLogEntryType",
#    "WebGpuObjectStatus",
#    "WebGpuPipelineDescriptorBase",
#    "WebGpuPipelineLayout",
#    "WebGpuPipelineLayoutDescriptor",
#    "WebGpuPipelineStageDescriptor",
#    "WebGpuPowerPreference",
#    "WebGpuPrimitiveTopology",
#    "WebGpuQueue",
#    "WebGpuRenderPassAttachmentDescriptor",
#    "WebGpuRenderPassDescriptor",
#    "WebGpuRenderPipeline",
#    "WebGpuRenderPipelineDescriptor",
#    "WebGpuSampler",
#    "WebGpuSamplerDescriptor",
#    "WebGpuShaderModule",
#    "WebGpuShaderModuleDescriptor",
#    "WebGpuShaderStage",
#    "WebGpuShaderStageBit",
#    "WebGpuStencilOperation",
#    "WebGpuStencilStateFaceDescriptor",
#    "WebGpuStoreOp",
#    "WebGpuSwapChain",
#    "WebGpuSwapChainDescriptor",
#    "WebGpuTexture",
#    "WebGpuTextureDescriptor",
#    "WebGpuTextureDimension",
#    "WebGpuTextureFormat",
#    "WebGpuTextureUsage",
#    "WebGpuTextureView",
#    "WebGpuTextureViewDescriptor",
#    "WebGpuVertexAttributeDescriptor",
#    "WebGpuVertexFormat",
#    "WebGpuVertexInputDescriptor",
#    "WebKitCssMatrix",
    "WebSocket",
    "WebSocketDict",
    "WebSocketElement",
#    "WebglColorBufferFloat",
#    "WebglCompressedTextureAstc",
#    "WebglCompressedTextureAtc",
#    "WebglCompressedTextureEtc",
#    "WebglCompressedTextureEtc1",
#    "WebglCompressedTexturePvrtc",
#    "WebglCompressedTextureS3tc",
#    "WebglCompressedTextureS3tcSrgb",
#    "WebglDebugRendererInfo",
#    "WebglDebugShaders",
#    "WebglDepthTexture",
#    "WebglDrawBuffers",
#    "WebglLoseContext",
#    "WebrtcGlobalStatisticsReport",
#    "WheelEvent",
#    "WheelEventInit",
#    "WidevineCdmManifest",
    "Window",
    "WindowClient",
    "Worker",
#    "WorkerDebuggerGlobalScope",
#    "WorkerGlobalScope",
#    "WorkerLocation",
#    "WorkerNavigator",
#    "WorkerOptions",
#    "Worklet",
#    "WorkletGlobalScope",
#    "XPathExpression",
#    "XPathNsResolver",
#    "XPathResult",
#    "XmlDocument",
#    "XmlHttpRequest",
#    "XmlHttpRequestEventTarget",
#    "XmlHttpRequestResponseType",
#    "XmlHttpRequestUpload",
#    "XmlSerializer",
#    "XsltProcessor",
    "console",
    "css",
]

[dev-dependencies]
wasm-bindgen-test = "0.2"

[profile.release]
opt-level = "s"
